/* GOOGLE FONTS - Insert link for typography */
@import url("https://fonts.googleapis.com/css2?family=Pacifico&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

/* VARIABLES CSS */
:root {
  --header-height: 3.5rem;

  /* Colors */
  /*Color mode HSL(hue, saturation, lightness)*/
  --first-color: hsl(350, 70%, 65%);
  --first-color-alt: hsl(350, 70%, 62%);
  --second-color: hsl(350, 40%, 20%);
  --title-color: hsl(350, 28%, 15%);
  --text-color: hsl(350, 25%, 28%);
  --white-color: hsl(0, 0%, 100%);
  --body-color: hsl(350, 95%, 90%);
  --container-color: hsl(350, 100%, 97%);

  /* Font and typography */
  /*.5rem = 8px | 1rem = 16px ...*/
  --body-font: "Montserrat", sans-serif;
  --second-font: "Pacifico", cursive;
  --biggest-font-size: 3rem;
  --bigger-font-size: 2rem;
  --h1-font-size: 1.5rem;
  --h2-font-size: 1.25rem;
  --h3-font-size: 1rem;
  --normal-font-size: 0.938rem;
  --small-font-size: 0.813rem;
  --smaller-font-size: 0.75rem;

  /* Font weight */
  --font-regular: 400;
  --font-medium: 500;
  --font-semi-bold: 600;
  --font-bold: 700;

  /* z index */
  --z-tooltip: 10;
  --z-fixed: 100;
}

/* Responsive typography */
@media (width >= 1150px) {
  :root {
    --biggest-font-size: 5rem;
    --bigger-font-size: 4rem;
    --h1-font-size: 2.25rem;
    --h2-font-size: 1.5rem;
    --h3-font-size: 1.25rem;
    --normal-font-size: 1rem;
    --small-font-size: 0.875rem;
    --smaller-font-size: 0.813rem;
  }
}

/* BASE */
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

body,
input,
button {
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
}

body {
  background-color: var(--body-color);
  color: var(--text-color);
}

input,
button {
  background: none;
  border: none;
  outline: none;
}

h1,
h2,
h3,
h4 {
  color: var(--title-color);
  font-weight: var(--font-medium);
  font-family: var(--second-font);
  line-height: 120%;
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}

/* REUSABLE CSS CLASSES */
.container {
  max-width: 1120px;
  margin-inline: 1rem;
}

.grid {
  display: grid;
  gap: 1.5rem;
}

.section {
  padding-block: 5rem 1rem;
}

.section__title {
  text-align: center;
  font-size: var(--bigger-font-size);
  margin-bottom: 1.5rem;
}

.main {
  overflow: hidden;
}

/* HEADER & NAV */
.header {
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  background-color: var(--body-color);
  z-index: var(--z-fixed);
  transition: box-shadow 0.4s;
}

.nav {
  position: relative;
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav__logo {
  display: flex;
  align-items: center;
  column-gap: 0.5rem;
}

.nav__logo img {
  width: 1.5rem;
}

.nav__logo span {
  font-family: var(--second-font);
  font-size: var(--h3-font-size);
  color: var(--title-color);
}

.nav__toggle {
  color: var(--title-color);
  font-size: 1.5rem;
  cursor: pointer;
}

/* Navigation for mobile devices <> */
@media (width <= 1150px) {
  .nav__menu {
    position: fixed;
    top: 0;
    right: -120%;
    background-color: var(--body-color);
    width: 80%;
    height: 100%;
    box-shadow: -2px 0 16px hsla(350, 70%, 20%, 0.1);
    padding: 7rem 0 2rem 2rem;
    z-index: var(--z-fixed);
    transition: right 0.4s;
  }
}

.nav__list {
  display: flex;
  flex-direction: column;
  row-gap: 2.5rem;
}

.nav__link {
  color: var(--title-color);
  font-weight: var(--font-semi-bold);
  transition: color 0.4s;
}

.nav__link:hover {
  color: var(--first-color);
}

.nav__close {
  position: absolute;
  top: 1rem;
  right: 1rem;
  color: var(--title-color);
  font-size: 1.5rem;
  cursor: pointer;
}

.nav__img {
  position: absolute;
  width: 100px;
  right: 1.5rem;
  bottom: 1.5rem;
}

/* Show menu */
.show-menu {
  right: 0;
}

/* Change header styles */
.scroll-header {
  box-shadow: 0 2px 16px hsla(350, 70%, 20%, 0.1);
}
/* Active link */
.active-link {
  color: var(--first-color);
}

/* HOME SECTION */
.home__container {
  padding-block: 2.5rem;
  row-gap: 3rem;
}

.home__data {
  position: relative;
  text-align: center;
}

.home__title {
  font-size: var(--bigger-font-size);
  margin-bottom: 1rem;
}

.home__title span {
  display: block;
  color: var(--first-color);
}

.home__description {
  margin-bottom: 2rem;
}

.home__data img {
  position: absolute;
  z-index: -1;
}

.home__slice-1 {
  width: 50px;
  left: -2rem;
  top: -2rem;
}

.home__slice-2 {
  width: 80px;
  right: -2rem;
  bottom: -2.5rem;
  filter: blur(2px);
}

.home__balloons {
  width: 80px;
  left: -3.5rem;
  top: 1rem;
}

.home__sticker-1 {
  width: 30px;
  top: 2.5rem;
  right: -0.5rem;
}

.home__sticker-2 {
  width: 30px;
  left: 1rem;
  bottom: 3rem;
}

.home__images {
  width: 340px;
  height: 372px;
  position: relative;
  display: grid;
  justify-self: center;
}

.home__images img {
  position: absolute;
}

.home__swiper .home__cake {
  position: inherit;
  width: 300px;
  margin-inline: auto;
}

.home__blob {
  width: 300px;
  top: -1.5rem;
  justify-self: center;
  z-index: -1;
}

.home__bace {
  width: 340px;
  bottom: 0;
  justify-self: center;
  z-index: -1;
}

.home__leaf-1 {
  width: 40px;
  bottom: 3rem;
  right: 4.5rem;
}

.home__leaf-2 {
  width: 50px;
  left: 0.5rem;
  top: 2rem;
}

.home__sticker-3 {
  width: 30px;
  left: 5rem;
  bottom: 6.5rem;
}

.home__sticker-4 {
  width: 30px;
  top: 6rem;
  right: 1.25rem;
}

/* Swiper class */
.home__swiper {
  width: 100%;
  height: 100%;
}

/* BUTTON */
.button {
  display: inline-flex;
  background-color: var(--first-color);
  color: var(--title-color);
  font-weight: var(--font-semi-bold);
  padding: 1rem 2rem;
  border-radius: 4rem;
  transition:
    background-color 0.4s,
    box-shadow 0.4s;
}

.button:hover {
  background-color: var(--first-color-alt);
  box-shadow: 0 4px 24px hsla(350, 70%, 65%, 0.5);
}

/* ABOUT SECTION */
.about {
  position: relative;
  background-color: var(--second-color);
  overflow: hidden;
}

.about__container {
  row-gap: 4.5rem;
  padding-bottom: 2.5rem;
}

.about__cupcake-1 {
  position: absolute;
  width: 80px;
  top: -1.5rem;
  right: -1.5rem;
  rotate: -135deg;
}

.about__cupcake-2 {
  position: absolute;
  width: 80px;
  bottom: -1.5rem;
  left: -1.5rem;
  rotate: 30deg;
  z-index: 1;
}

.about__data {
  position: relative;
  text-align: center;
}

.about__data .section__title {
  color: var(--white-color);
}

.about__description {
  color: var(--white-color);
  margin-bottom: 2rem;
}

.about__sticker-1 {
  position: absolute;
  width: 30px;
  top: 3.5rem;
  left: 2rem;
}

.about__sticker-2 {
  position: absolute;
  width: 30px;
  right: 3rem;
  bottom: 3rem;
}

.about__images {
  position: relative;
  width: 100%;
  height: 100%;
  display: grid;
}

.about__blob {
  width: 360px;
  justify-self: center;
}

.about__img,
.about__leaf,
.about__cupcake-3 {
  position: absolute;
}

.about__cupcake-3 {
  width: 50px;
  right: 3.5rem;
  bottom: 0;
  rotate: -15deg;
  filter: blur(2px);
}

.about__leaf {
  width: 30px;
  top: 6.5rem;
  left: 2.5rem;
  filter: blur(2px);
}

.about__img {
  width: 320px;
  justify-self: center;
  bottom: 1.5rem;
  mask-image: linear-gradient(
    to bottom,
    hsl(350, 70%, 65%) 85%,
    transparent 95%
  );
}

/* PRODUCTS SECTION */
.product__button {
  background-color: var(--white-color);
  color: var(--title-color);
  padding: 0.5rem 0.75rem;
  box-shadow: 0 4px 24px hsla(350, 70%, 20%, 0.1);
  font-weight: 600;
  font-size: var(--small-font-size);
  border-radius: 4rem;
  cursor: pointer;
  transition:
    background-color 0.4s,
    box-shadow 0.4s;
}

.product__button:hover {
  background-color: var(--first-color);
}

.product__cards {
  display: grid;
  gap: 1.5rem;
}

.product__card {
  position: relative;
  background-color: var(--container-color);
  padding: 14rem 1.5rem 2rem;
  border-radius: 1.5rem;
  overflow: hidden;
  box-shadow: 0 8px 16px hsla(350, 70%, 20%, 0.1);
  transition: transform 0.4s;
}

.product__images {
  position: absolute;
  top: -3.5rem;
  left: -1rem;
}

.product__blob {
  width: 260px;
}

.product__img {
  position: absolute;
  width: 190px;
  top: 3.5rem;
  right: 0;
  left: 0;
  margin-inline: auto;
  filter: drop-shadow(0 8px 16px hsla(350, 70%, 8%, 0.2));
  transition: transform 0.4s;
}

.product__data {
  text-align: center;
}

.product__name {
  font-size: var(--h1-font-size);
  margin-bottom: 0.5rem;
}

.product__price {
  font-size: var(--bigger-font-size);
  font-weight: var(--font-bold);
  color: var(--first-color);
}

.product__buy {
  position: absolute;
  width: 40px;
  height: 40px;
  top: 1rem;
  right: 1rem;
  background-color: var(--first-color);
  color: var(--title-color);
  font-size: 1.5rem;
  border-radius: 0.75rem;
  box-shadow: 0 4px 16px hsla(350, 70%, 65%, 0.3);
  display: grid;
  place-items: center;
  cursor: pointer;
  transition: background-color 0.4s;
}

.product__buy:hover {
  background-color: var(--first-color);
}

.product__card:hover,
.product__card:hover .product__img {
  transform: translateY(-0.5rem);
}

/* Swiper class */
.product .swiper {
  overflow: initial;
}

.product__tabs .swiper-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 0.5rem;
  margin-bottom: 3rem;
}

.product__tabs .swiper-slide {
  width: initial;
  height: initial;
}

.product__tabs .swiper-slide-thumb-active {
  background-color: var(--first-color);
  box-shadow: 0 4px 16px hsla(350, 70%, 65%, 0.5);
}

/* NEW SECTION */
.new__container {
  row-gap: 5rem;
  padding-bottom: 3rem;
}

.new__data {
  text-align: center;
}

.new__description {
  margin-bottom: 1.5rem;
}

.new__images {
  position: relative;
  display: grid;
  justify-self: center;
}

.new__titles {
  position: absolute;
  top: -1.5rem;
  justify-self: center;
}

.new__text {
  font-size: 3.5rem;
  font-weight: var(--font-bold);
  line-height: 120%;
  opacity: 0.1;
}

.new__cake {
  width: 220px;
  margin: auto;
  transition: filter 0.4s;
}

.new__name {
  text-align: center;
  font-size: var(--h1-font-size);
  padding-block: 1rem;
  opacity: 0;
  transition: opacity 0.4s;
}

.new__leaf-1,
.new__leaf-2,
.new__leaf-3 {
  position: absolute;
}

.new__leaf-1 {
  width: 50px;
  top: 0;
  right: 1.5rem;
}

.new__leaf-2 {
  width: 50px;
  left: 2.5rem;
  bottom: 6rem;
  filter: blur(2px);
}

.new__leaf-3 {
  width: 80px;
  top: -3rem;
  left: 2rem;
}

/* Swiper class */
.new__swiper {
  width: 100%;
  height: 100%;
  margin-inline: auto;
  padding-bottom: 3rem;
}

.new .swiper-slide-active .new__cake {
  filter: drop-shadow(0 8px 16px hsla(350 70% 8% 0.2));
}

.new .swiper-slide-active .new__name {
  opacity: 1;
}

.new .swiper-navigation-icon {
  display: none;
}

.new :is(.swiper-button-prev, .swiper-button-next) {
  top: initial;
  left: initial;
  bottom: 0;
  margin: initial;
  width: 40px;
  height: 40px;
  background-color: var(--white-color);
  border-radius: 0.75rem;
  color: var(--title-color);
  font-size: 1.5rem;
  transition: background-color 0.4s;
}

.new :is(.swiper-button-prev:hover, .swiper-button-next:hover) {
  background-color: var(--first-color);
}

.new .swiper-button-prev {
  left: calc(50% - 3rem);
}
.new .swiper-button-next {
  right: calc(50% - 3rem);
}

/* CONTACT SECTION */
.contact {
  background-color: var(--second-color);
}

.contact__container {
  row-gap: 3rem;
  padding-bottom: 3rem;
}

.contact__map iframe {
  width: 100%;
  height: 100%;
}

.contact__map {
  width: 320px;
  height: 280px;
  justify-self: center;
  border-radius: 1.5rem;
  overflow: hidden;
}

.contact__content .section__title {
  color: var(--white-color);
}

.contact__data {
  position: relative;
  text-align: center;
  display: grid;
  row-gap: 2rem;
}

.contact__title {
  color: var(--first-color);
  font-size: var(--h3-font-size);
  margin-bottom: 0.5rem;
}

.contact__address,
.contact__address :is(span, a) {
  display: block;
  color: var(--white-color);
  font-style: normal;
}

.contact__social {
  display: flex;
  justify-content: center;
  column-gap: 0.75rem;
}

.contact__social-link {
  color: var(--white-color);
  font-size: 1.5rem;
  transition: color 0.4s;
}

.contact__social-link:hover {
  color: var(--first-color);
}

.contact__data img {
  position: absolute;
  width: 30px;
}

.contact__sticker-1 {
  right: 2rem;
  top: 1rem;
}

.contact__sticker-2 {
  top: 6rem;
  left: 3rem;
}

.contact__sticker-3 {
  right: 3rem;
  bottom: -1rem;
}

/* FOOTER */
.footer {
  position: relative;
  padding-block: 3rem 5rem;
  overflow: hidden;
}

.footer__logo {
  font-size: var(--bigger-font-size);
  font-family: var(--second-font);
  justify-self: center;
  color: var(--title-color);
}

.footer__social {
  display: flex;
  justify-content: center;
  column-gap: 1.5rem;
}

.footer__social-link {
  display: block;
  font-size: 1.5rem;
  color: var(--title-color);
  transition: transform 0.4s;
}

.footer__social-link:hover {
  transform: translateY(-0.25rem);
}

.footer__copy {
  text-align: center;
  margin-top: 1.5rem;
  font-size: var(--small-font-size);
}

.footer__container {
  position: relative;
}

.footer__container img {
  position: absolute;
}

.footer__leaf-1 {
  width: 30px;
  top: 2rem;
  right: 3rem;
}

.footer__leaf-2 {
  width: 30px;
  left: 3rem;
  bottom: 2rem;
}

.footer__blob {
  position: absolute;
  width: 100%;
  bottom: -1rem;
  justify-self: center;
  z-index: -1;
}

/* SCROLL BAR */
::-webkit-scrollbar {
  width: 0.6rem;
  background-color: hsl(350, 40%, 75%);
}

::-webkit-scrollbar-thumb {
  background-color: hsl(350, 40%, 65%);
}

::-webkit-scrollbar-thumb:hover {
  background-color: hsl(350, 40%, 55%);
}

/* SCROLL UP */
.scrollup {
  position: fixed;
  right: 1rem;
  bottom: -50%;
  background-color: var(--body-color);
  box-shadow: 0 4px 16px hsla(350, 70%, 20%, 0.2);
  color: var(--title-color);
  display: inline-flex;
  padding: 6px;
  font-size: 1.25rem;
  border-radius: 0.75rem;
  z-index: var(--z-tooltip);
  transition:
    bottom 0.4s,
    transform 0.4s;
}

.scrollup:hover {
  transform: translateY(-0.5rem);
}
/* Show Scroll Up */
.show-scroll {
  bottom: 3rem;
}

/* BREAKPOINTS */
/* For small devices <> */
@media (width <= 360px) {
  .home__images {
    width: 250px;
    height: 290px;
  }

  .contact__map {
    width: 100%;
  }
}

/* For medium devices <> */
@media (width >= 540px) {
  .home__container,
  .about__container,
  .new__container,
  .contact__data {
    grid-template-columns: 400px;
    justify-content: center;
  }

  .product__cards {
    grid-template-columns: 350px;
    justify-content: center;
  }

  .footer__blob {
    width: 500px;
  }
}

@media (width >= 768px) {
  .product__cards {
    grid-template-columns: repeat(2, 350px);
  }

  .footer__blob {
    width: 800px;
    bottom: -3rem;
  }
}

/* For large devices <> */
@media (width >= 1150px) {
  .container {
    margin-inline: auto;
  }

  .section {
    padding-block: 7rem 2rem;
  }

  .nav {
    height: calc(var(--header-height) + 2rem);
  }

  .nav__toggle,
  .nav__close,
  .nav__img {
    display: none;
  }

  .nav__list {
    flex-direction: row;
    column-gap: 4rem;
  }

  .home__container {
    grid-template-columns: 475px 550px;
    column-gap: 6rem;
    align-items: center;
    padding-block: 6rem 1rem;
  }

  .home__data {
    text-align: initial;
    margin-bottom: 5rem;
  }

  .home__title {
    margin-bottom: 1.5rem;
  }

  .home__description {
    margin-bottom: 4rem;
  }

  .home__slice-1 {
    width: 70px;
    left: -6rem;
    top: -3rem;
  }

  .home__slice-2 {
    width: 90px;
    right: 6rem;
    bottom: -0.5rem;
  }

  .home__balloons {
    width: 140px;
    right: -1rem;
    top: -7rem;
  }

  .home__sticker-1 {
    width: 40px;
    top: 4rem;
    right: -1.5rem;
  }

  .home__sticker-2 {
    width: 40px;
    left: -4rem;
    bottom: 4rem;
  }

  .home__images {
    width: 550px;
    height: 640px;
  }

  .home__blob {
    width: 485px;
    top: -2.5rem;
  }

  .home__bace {
    width: 550px;
    bottom: 3rem;
  }

  .home__swiper .home__cake {
    width: 485px;
  }

  .home__leaf-1 {
    width: 55px;
    bottom: 8rem;
    right: 8rem;
  }

  .home__leaf-2 {
    width: 75px;
    top: 3rem;
  }

  .home__sticker-3 {
    width: 40px;
    left: 8rem;
    bottom: 23rem;
  }

  .home__sticker-4 {
    width: 40px;
    top: 10rem;
  }

  .about__cupcake-1 {
    width: 150px;
    right: -2.5rem;
    top: -2.5rem;
  }

  .about__cupcake-2 {
    width: 150px;
    left: -2.5rem;
    bottom: -2.5rem;
  }

  /* ////////////// */

  .about__container {
    grid-template-columns: 500px 480px;
    column-gap: 6rem;
    align-items: center;
    padding-block: 2rem 4rem;
  }

  .about__images {
    order: -1;
  }

  .about__blob {
    width: 545px;
  }

  .about__img {
    width: 485px;
  }

  .about__leaf {
    width: 40px;
    top: 11rem;
    left: 4rem;
  }

  .about__cupcake-3 {
    width: 75px;
    right: 5rem;
  }

  .about__data,
  .about__data .section__title {
    text-align: initial;
  }

  .about__description {
    margin-bottom: 4rem;
  }

  .about__sticker-1 {
    width: 40px;
    left: initial;
    top: 7rem;
    right: 2rem;
  }

  .about__sticker-2 {
    width: 40px;
    right: 11rem;
    bottom: 2rem;
  }

  /* ////////////// */

  .product .section__title {
    margin-bottom: 3rem;
  }

  .product__tabs .swiper-wrapper {
    column-gap: 1.5rem;
    margin-bottom: 4rem;
  }

  .product__button {
    font-size: var(--normal-font-size);
    padding: 0.75rem 1.25rem;
  }

  .product__content.swiper {
    width: 1150px;
    padding-block: 3rem;
    overflow: hidden;
  }

  .product__cards {
    grid-template-columns: repeat(3, 355px);
  }

  .product__card {
    border-radius: 2rem;
    padding: 17rem 1.5rem 3rem;
  }

  .product__images {
    top: -4rem;
    left: -1.5rem;
  }

  .product__blob {
    width: 290px;
  }

  .product__img {
    width: 210px;
  }

  .product__name {
    font-size: var(--h2-font-size);
  }

  .product__price {
    font-size: var(--h1-font-size);
  }

  .product__buy {
    top: 1.5rem;
    right: 1.5rem;
  }

  /* ////////////// */

  .new__container {
    grid-template-columns: 400px 640px;
    column-gap: 5rem;
    align-items: center;
    padding-block: 3rem 4rem;
  }

  .new__data .section__title,
  .new__data {
    text-align: initial;
  }

  .new__description {
    margin-bottom: 4rem;
  }

  .new__text {
    font-size: 6rem;
  }

  .new__titles {
    top: -0.5rem;
  }

  .new__cake {
    width: 420px;
  }

  .new__name {
    padding-block: 2rem 3rem;
  }

  .new__leaf-1 {
    width: 90px;
    right: 4rem;
  }

  .new__leaf-2 {
    width: 90px;
    left: 5rem;
    bottom: 9rem;
  }

  .new__leaf-3 {
    width: 130px;
    top: -4rem;
    left: 4rem;
  }

  /* ////////////// */
  .contact__container {
    grid-template-columns: 500px 520px;
    column-gap: 6rem;
    align-items: center;
    padding-bottom: 8rem;
  }

  .contact__map {
    order: -1;
    width: 500px;
    height: 440px;
    border-radius: 3rem;
  }

  .contact__content .section__title {
    text-align: initial;
    margin-bottom: 3rem;
  }

  .contact__data {
    grid-template-columns: repeat(2, max-content);
    justify-content: initial;
    gap: 4rem 6rem;
  }

  .contact__info {
    text-align: initial;
  }

  .contact__title {
    font-size: var(--h2-font-size);
    margin-bottom: 1rem;
  }

  .contact__data img {
    width: 40px;
  }

  .contact__sticker-1 {
    right: -2rem;
    top: 0;
  }

  .contact__sticker-2 {
    top: -2rem;
    left: -4rem;
  }

  .contact__sticker-3 {
    right: 14rem;
    bottom: -5rem;
  }

  /* ////////////// */
  .footer {
    padding-block: 4.5rem 10rem;
  }

  .footer__container {
    grid-template-columns: repeat(3, 1fr);
  }

  .footer__logo {
    font-size: var(--h2-font-size);
    justify-self: flex-start;
  }

  .footer__social {
    order: 1;
    justify-self: flex-end;
  }

  .footer__copy {
    margin: 0;
  }

  .footer__blob {
    width: 100%;
    bottom: -6rem;
  }

  .footer__leaf-1 {
    width: 40px;
    top: -1rem;
    right: 10rem;
  }

  .footer__leaf-2 {
    width: 40px;
    left: 10rem;
    bottom: -4rem;
  }
  /* ////////////// */

  .scrollup {
    right: 3rem;
  }
}

/* For 2K resolutions <> */
@media (width >= 2048px) {
  body {
    zoom: 120%;
  }
}
/* END  */